<ion-view title="Cart">
    <ion-nav-buttons side="right">
        <a class="button button-clear"><i class="icon ion-ios-cart"><span class="badge badge-dark">{{cartItems}}</span></i></a>
    </ion-nav-buttons>
    <ion-content class="has-header">
        <div ng-show="!cartItems" class="text-center padding">You cart is empty.</div>
        <div class="card" ng-show="cartItems" ng-repeat="product in basketProducts">
            <div class="card-content">
                <div class="text-right product-price">
                    <a class="item item-thumbnail-left" ng-href="#/side-menu21/products/{{product.id}}">
                        <img ng-if="product.images[0].src" ng-src="{{product.images[0].src}}" />
                        <h2>{{product.title}} <span ng-if="product.variation"> - {{product.variation.attributes[0].name}} ({{product.variation.attributes[0].option}})</span></h2>
                        <span ng-if='product.quantity > 1'>{{product.quantity}} x </span>
                        <b ng-if="!product.variation.price"><span ng-bind-html="product.price_html"></span></b>
                        <b ng-if="product.variation.price"><span ng-bind-html="getFormmatedPrice(product.variation.price)"></span></b>
                    </a>
                </div>
                <div class="text-right padding">
                    <button class='button button-small' ng-click="removeProduct(product.id)"><i class="icon ion-trash-a"></i> Remove</button>
                </div>
            </div>
        </div>
        <div class='item item-divider' ng-if="cartItems">
            <div class='row'>
                <button class='button button button-positive col' ng-click="proceedToOrder()">
                    <i class="icon ion-ios-cart"></i> Proceed to Order
                </button>
                <div class="col text-right">
                    <div>
                        <span> Total:  </span>
                        <b><span class='product-price' ng-bind-html="calculateTotal()"></span></b>
                    </div>
                </div>
            </div>
        </div>
        <div class='item' ng-if="cartItems">
            <div class='text-right'>
                <button class='button button-small' ng-click="emptyBasket()" style="float:right;"><i class="icon ion-trash-a"></i> Empty Cart</button>
            </div>
        </div>
    </ion-content>
</ion-view>
